Bug 1712562 - Installer is pinned to older builds
Summary: Installer is pinned to older builds
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.1.0
Assignee: Abhinav Dahiya
QA Contact: Johnny Liu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-21 19:18 UTC by Steve Milner
Modified: 2019-06-04 10:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 10:48:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:49:44 UTC
Github openshift installer pull 1770 None None None 2019-05-21 20:42:19 UTC

Comment 3 Colin Walters 2019-05-21 20:57:36 UTC
Remember the installer here is just consuming "bootimages" - it's generally OK if it lags and/or is different from `machine-os-content`.

In CI we have been living with it lagging; do we have a specific reason to try to synchronize it for GA other than it appearances?

Comment 4 W. Trevor King 2019-05-21 21:20:01 UTC
> In CI we have been living with it lagging; do we have a specific reason to try to synchronize it for GA other than it appearances?

Micah pointed out 0520 started using RHEL8 released content that is on the production CDN with signed RPMs from ART.  To my outsider eyes, that seems like it's sitting on the fence between "cosmetic" and "actually useful".  And there's nothing wrong with cosmetic synchronization anyway ;).

Comment 5 W. Trevor King 2019-05-22 01:34:15 UTC
Landed.

Comment 7 Johnny Liu 2019-05-22 08:55:12 UTC
Verified this bug with 4.1.0-0.nightly-2019-05-22-050858, and PASS.

In 4.1.0-0.nightly-2019-05-21-060354, installer is using rhcos-410.8.20190508.1 (ami-02200f690a88f0819 in us-east-2) as boot image.
In 4.1.0-0.nightly-2019-05-22-050858, installer is using rhcos-410.8.20190520.0 (ami-0649fd5d42859bdfc in us-east-2) as boot image.

# oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.1.0-0.nightly-2019-05-22-050858   True        False         28m     Cluster version is 4.1.0-0.nightly-2019-05-22-050858

# ./openshift-install version
./openshift-install v4.1.0-201905212232-dirty
built from commit 71d8978039726046929729ad15302973e3da18ce
release image registry.svc.ci.openshift.org/ocp/release@sha256:29e03d18fb7fe375bc5d103f22df3343fc40843a6acfbb52b785b7f3aee3921f

Comment 9 errata-xmlrpc 2019-06-04 10:48:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.